routeEnhancers:
  CategoryPage:
    type: Extbase
    extension: Muthsevshop
    plugin: Productcategorysingle
    routes:
      - { routePath: '/{productCategory}', _controller: 'ProductCategory::single', _arguments: { productCategory: 'productCategory' } }
    defaultController: 'ProductCategory::single'
#    requirements:
#      productCategory: '^[a-zA-Z0-9\-]+$'
#     title: '\d+'
#     title: '\d+'
    aspects:
      productCategory:
        type: PersistedAliasMapper
        tableName: sys_category
        routeFieldName: slug
